[OE-core] [PATCH] bitbake-prserv-tool: show error when export file does not exist

Martin Jansa martin.jansa at gmail.com
Wed Feb 6 14:23:38 UTC 2013


* otherwise it shows error about failing import

Signed-off-by: Martin Jansa <Martin.Jansa at gmail.com>
---
 scripts/bitbake-prserv-tool | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/scripts/bitbake-prserv-tool b/scripts/bitbake-prserv-tool
index 4654e6d..96a3470 100755
--- a/scripts/bitbake-prserv-tool
+++ b/scripts/bitbake-prserv-tool
@@ -61,8 +61,16 @@ do_migrate_localcount ()
     clean_cache
     echo "Exporting LOCALCOUNT to AUTOINCs..."
     bitbake -R conf/migrate_localcount.conf -p
-    [ ! $? -eq 0 ] && echo "Exporting failed!" && exit 1
+    [ ! $? -eq 0 ] && echo "Exporting to file $df failed!" && exit 1
 
+    if [ -e $df ];
+    then
+        echo "Exporting to file $df succeeded!"
+    else
+        echo "Exporting to file $df failed!"
+        exit 1
+    fi
+    
     echo "Importing generated AUTOINC entries..."
     [ -e $df ] && do_import $df
 
-- 
1.8.1.2





More information about the Openembedded-core mailing list